## amlib.ccid
Class ReaderException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              amlib.ccid.ReaderException

All Implemented Interfaces:
  java.io.Serializable

    public class ReaderException

extends java.lang.Exception

See Also:
  Serialized Form

Constructor Summary
`ReaderException()`
`ReaderException(java.lang.String msg)`
`ReaderException(java.lang.String detailMessage, java.lang.Throwable throwable)`
`ReaderException(java.lang.Throwable throwable)`

Method Summary

Methods inherited from class java.lang.Throwable
`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReaderException

    public ReaderException()

### ReaderException

    public ReaderException(java.lang.String msg)

### ReaderException

    public ReaderException(java.lang.String detailMessage,
                           java.lang.Throwable throwable)

### ReaderException

    public ReaderException(java.lang.Throwable throwable)